Bug 1741661 - Telemetry should include the ClusterVersion conditions with reasons
Summary: Telemetry should include the ClusterVersion conditions with reasons
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Abhinav Dahiya
QA Contact: liujia
URL:
Whiteboard:
Depends On: 1741645
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-15 18:21 UTC by W. Trevor King
Modified: 2019-08-28 19:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1741645
Environment:
Last Closed: 2019-08-28 19:55:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2547 None None None 2019-08-28 19:55:07 UTC
Github openshift cluster-version-operator pull 237 None None None 2019-08-19 22:01:36 UTC

Description W. Trevor King 2019-08-15 18:21:32 UTC
+++ This bug was initially created as a clone of Bug #1741645 +++

Bug 1717617 (4.2) and bug 1717619 (4.1.z) added Telemetry for ClusterOperator conditions.  We should add it for ClusterVersion conditions as well, so we can get things like UpdatePayloadClusterError reasons [1] out of Telemetry without requiring cluster access for 'oc get' or must-gather commands.

This bug is about backporting bug 1741645 to 4.1.z.

[1]:  https://bugzilla.redhat.com/show_bug.cgi?id=1740838#c20

Comment 2 liujia 2019-08-23 03:31:32 UTC
Version: 4.1.0-0.nightly-2019-08-22-165647

Checked "version" operator was added into cluster_operator_conditions metric.

Element	Value
cluster_operator_conditions{condition="Available",endpoint="metrics",instance="10.0.142.221:9099",job="cluster-version-operator",name="version",namespace="openshift-cluster-version",pod="cluster-version-operator-744fdf9989-4vc85",service="cluster-version-operator"}	1
cluster_operator_conditions{condition="Failing",endpoint="metrics",instance="10.0.142.221:9099",job="cluster-version-operator",name="version",namespace="openshift-cluster-version",pod="cluster-version-operator-744fdf9989-4vc85",service="cluster-version-operator"}	0
cluster_operator_conditions{condition="Progressing",endpoint="metrics",instance="10.0.142.221:9099",job="cluster-version-operator",name="version",namespace="openshift-cluster-version",pod="cluster-version-operator-744fdf9989-4vc85",service="cluster-version-operator"}	0
cluster_operator_conditions{condition="RetrievedUpdates",endpoint="metrics",instance="10.0.142.221:9099",job="cluster-version-operator",name="version",namespace="openshift-cluster-version",pod="cluster-version-operator-744fdf9989-4vc85",reason="RemoteFailed",service="cluster-version-operator"}	0

All conditions of "version" comply with the clusterversion object.
# ./oc get clusterversion -o json|jq ".items[0].status.conditions"
[
  {
    "lastTransitionTime": "2019-08-23T02:43:40Z",
    "message": "Done applying 4.1.0-0.nightly-2019-08-22-165647",
    "status": "True",
    "type": "Available"
  },
  {
    "lastTransitionTime": "2019-08-23T02:39:55Z",
    "status": "False",
    "type": "Failing"
  },
  {
    "lastTransitionTime": "2019-08-23T02:43:40Z",
    "message": "Cluster version is 4.1.0-0.nightly-2019-08-22-165647",
    "status": "False",
    "type": "Progressing"
  },
  {
    "lastTransitionTime": "2019-08-23T02:31:52Z",
    "message": "Unable to retrieve available updates: currently installed version 4.1.0-0.nightly-2019-08-22-165647 not found in the \"stable-4.1\" channel",
    "reason": "RemoteFailed",
    "status": "False",
    "type": "RetrievedUpdates"
  }
]

Comment 4 errata-xmlrpc 2019-08-28 19:55:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2547


Note You need to log in before you can comment on or make changes to this bug.